Subject: Re: bug#46790: 28.0.50; make install with native-comp branch

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 24 Apr 2021 13:58:06 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Sat, 24 Apr 2021 12:47:17 +0000
>> 
>> > Wait a minute: you are saying that starting "emacs" with your
>> > installation works well, and the problem happens only when you use the
>> > dired-async-mode?
>> 
>> Yes.
>
> But below you say:
>
>> > or are they shown when you start your interactive Emacs session?
>> 
>> The interactive session.
>
> So now I'm completely confused.  I don't think I understand whether
> Emacs fails to start interactively, or it starts and then
> dired-async-mode fails because invoking an inferior Emacs in batch
> mode fails (or crashes, see below).
>
>> However if it may help, it seems the process buffer is created, and then
>> the process (emacs) never start, here the contents of the "*emacs*"
>> buffer (emacs started with "./emacs" from /usr/local/sbin/emacs-28.0.50 directory):
>> 
>> Lisp expression: Backtrace:
>> /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x17a324)[0x55e34b4cc324]
>> /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x46299)[0x55e34b398299]
>> /usr/local/sbin/emacs-28.0.50/emacs-28.0.50(+0x469fa)[0x55e34b3989fa]
>> /lib/x86_64-linux-gnu/libpthread.so.0(+0x12980)[0x7ff2a34b1980]
>
> This is a backtrace from an abort or crash.  Even more weird.
>
> I installed some change that might fix the problem.  If not, I'm
> afraid someone else who is smarter than I am will have to investigate
> this.  Thank you for your time and help.

Just tried and it still the same.
Probably we should start back from where it was working for me with my
symlink workaround and see why it was working like this and not now?

-- 
Thierry